Skip to main content
`Ctrl`+`K`

# PetscObjectCast

Casts a `PetscObject` to the base `PetscObject` type in function calls Fortran only

## Synopsis

    use petscsys

## Example Usage

PetscFE fe

      PetscCallA(DMAddField(dm, 0, PetscObjectCast(fe),ierr)

## See Also

`PetscObject`, `PetscObjectSpecificCast()`

## Level

beginner

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages